{% extends "base.html" %}
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <link rel = "stylesheet" href = "{{ url_for('static', filename = 'main.css') }}">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
     <!-- jQuery first, then Popper.js, then Bootstrap JS -->
     <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </head>

  {% block content %}
  <div class="artist">
    <div class="artist-main-profile">
          {% for song in songs %}
          {% if song.artist_image != None %}
          <p class= "artist-image-name">{{song.artist}}</p>
          <img class="artist-image" src="{{url_for('static', filename='image/artist/'+ song.artist_image)}}" alt="" />
          <p class= "artist-image-name">About {{song.artist}}</p>
          <p class="about-artist">{{song.about}}</p>
          <br>
          {% endif %}
          {%endfor%}
    </div>
    <div class="artist-album">
      {% for song in songs %}
          <div class="album-cover-image">
            <a class = "album-song-name" href = "javascript:void(0);" onclick = "playSong('{{ song.name }}')"> <img width="100%" src="{{url_for('static', filename='image/cover/'+song.image)}}" alt="" /><br>{{ song.name }}</a>
          </div>
      {% endfor %}
    </div>
  </div>

    <script type = "text/javascript">
        function playSong(song){
            $('audio').attr('src', '/static/music/'+song);
        }
    </script>
    <div class="audio-control"><audio controls = "controls" autoplay = "autoplay"></audio></div>

  {% endblock %}

</html>